org.codehaus.plexus.lifecycle

## Interface LifecycleHandler

All Known Implementing Classes:
  AbstractLifecycleHandler, BasicLifecycleHandler

    public interface LifecycleHandler

### Method Summary

Methods
`void` `addBeginSegment(Phase phase)`
`void` `addEndSegment(Phase phase)`
`void` `end(java.lang.Object component, ComponentManager manager)` Deprecated.
`void` `end(java.lang.Object component, ComponentManager manager, org.codehaus.plexus.classworlds.realm.ClassRealm componentContextRealm)`
`java.lang.String` `getId()`
`void` `initialize()`
`void` `start(java.lang.Object component, ComponentManager manager)` Deprecated.
`void` `start(java.lang.Object component, ComponentManager manager, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`

### Method Detail

#### getId

    java.lang.String getId()

#### addBeginSegment

    void addBeginSegment(Phase phase)

#### addEndSegment

    void addEndSegment(Phase phase)

#### start

    void start(java.lang.Object component,
             ComponentManager manager)
               throws PhaseExecutionException

Deprecated.

Throws:
  `PhaseExecutionException`

#### start

    void start(java.lang.Object component,
             ComponentManager manager,
             org.codehaus.plexus.classworlds.realm.ClassRealm realm)
               throws PhaseExecutionException

Throws:
  `PhaseExecutionException`

#### end

    void end(java.lang.Object component,
           ComponentManager manager)
             throws PhaseExecutionException

Deprecated.

Throws:
  `PhaseExecutionException`

#### end

    void end(java.lang.Object component,
           ComponentManager manager,
           org.codehaus.plexus.classworlds.realm.ClassRealm componentContextRealm)
             throws PhaseExecutionException

Parameters:
  `component` -
  `manager` -
  `componentContextRealm` - the realm used to create the component, which may not be the component's realm; this component could have requirements that were satisfied using components from this realm. It could be used to lookup the same manager components that were used to start the component.
Throws:
  `PhaseExecutionException`

#### initialize

    void initialize()